<?php
/**
 * Plugin Name: WooCommerce Order Display - Delivery Method (EasyToolsWP)
 * Description: Display the delivery method in a separate column in the order overview.
 * Version: 1.0
 * Author: EasyToolsWP.com
 * Author URI: https://www.easytoolswp.com
 */

// Add delivery method column to order overview
function custom_add_delivery_method_column( $columns ) {
    $new_columns = array();

    foreach ( $columns as $key => $column ) {
        $new_columns[ $key ] = $column;

        if ( 'order_total' === $key ) {
            $new_columns['delivery_method'] = __( 'Delivery Method', 'custom-delivery-method-display' );
        }
    }

    return $new_columns;
}
add_filter( 'manage_edit-shop_order_columns', 'custom_add_delivery_method_column', 20 );

// Populate delivery method column with data
function custom_delivery_method_column_content( $column ) {
    global $post;

    if ( 'delivery_method' === $column ) {
        $order = wc_get_order( $post->ID );
        $shipping_method = $order->get_shipping_method();

        echo ! empty( $shipping_method ) ? $shipping_method : '-';
    }
}
add_action( 'manage_shop_order_posts_custom_column', 'custom_delivery_method_column_content', 20 );
